// Koopman Checksum examples -- Chapter 7 header

// Copyright 2024 Philip Koopman
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//    http://www.apache.org/licenses/LICENSE-2.0
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#include <inttypes.h>
#include <assert.h>

#ifndef SEED    // Compiler constant for initial seed
#define SEED 0x9D
#endif

uint8_t Koopman8B(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus);
                     
uint8_t Koopman8W(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus);

uint16_t Koopman16W(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus);

uint16_t Koopman16B(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus);

uint32_t Koopman32W(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus); 

uint32_t Koopman32B(uint8_t dataWord[],
                     uint32_t dwSize, uint32_t modulus);
