#!/bin/bash
rm -f chap5
rm -f chap5_valid
echo ==============================
echo 8 bit modular addition
echo ----- RANDOM ---------
gcc Chapter5_examples.c support.c chapter5_test.c -o chap5       -DRANDOM     -Wall -Wextra -Wconversion -Wredundant-decls -pedantic -Werror
./chap5
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo ----- VALIDATION SEED = 0 -----
gcc Chapter5_examples.c chapter5_test.c support.c -o chap5_valid -DVALIDATE -DSEED=0 -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror
./chap5_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION SEED = 0x9D -----
gcc Chapter5_examples.c chapter5_test.c support.c -o chap5_valid -DVALIDATE -DSEED=0x9D -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror
./chap5_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION SEED = 0xFF -----
gcc Chapter5_examples.c chapter5_test.c support.c -o chap5_valid -DVALIDATE -DSEED=0xFF -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror
./chap5_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo Build just examples
gcc Chapter5_examples.c  -c -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror
echo ==============================
