#!/bin/bash
rm -f chap7
rm -f chap7_valid
echo ==============================
echo Koopman checksum
echo ----- RANDOM ---------
gcc Chapter7_examples.c support.c Chapter7_test.c -o chap7       -DRANDOM     -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap7
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo ----- VALIDATION Seed=0x00-----
gcc Chapter7_examples.c support.c Chapter7_test.c -o chap7_valid -DSEED=0x00 -DVALIDATE -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap7_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION Seed=0x9D-----
gcc Chapter7_examples.c support.c Chapter7_test.c -o chap7_valid -DSEED=0x9D -DVALIDATE -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap7_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ----- VALIDATION Seed=0xFF-----
gcc Chapter7_examples.c support.c Chapter7_test.c -o chap7_valid -DSEED=0xFF -DVALIDATE -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
./chap7_valid
if [ $? -ne 0 ] ; then exit ; fi

echo ==============================
echo Build just examples
gcc Chapter7_examples.c  -c -Wall -Wextra -Wconversion -Wredundant-decls -pedantic  -Werror 
echo ==============================